=== requirements.txt ===
platformdirs
beautifulsoup4
jinja2
numpy>=1.3
pandas
requests
scipy>=0.11
packaging
