=== debian/changelog ===
libpysal (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0 (Closes: #1028920)
  * debian/control: standards-Version to 4.6.2
  * debian/copyright: updated year copyright
  * debian/rules: skipped tests with unknown errors
  * debian/source: removed unnecessary file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 19 Jan 2023 07:02:44 -0300

libpysal (4.6.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration
  * debian/rules: remove objects for cross compilation,for correction test CI/CD
  * debian/control: spell correction in long description

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 09 Oct 2022 06:34:31 -0300

libpysal (4.6.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1017074)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 12 Aug 2022 22:05:39 -0300
