=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME = $(shell pwd)
export PYBUILD_NAME=libpysal
export PYBUILD_TEST_ARGS=--ignore=libpysal/cg/tests/test_geoJSON.py \
	--ignore=libpysal/cg/tests/test_ashapes.py \
	--ignore=libpysal/weights/tests/test_util.py \
        --ignore=libpysal/io/iohandlers/tests/test_db.py \
	--ignore=libpysal/cg/tests/test_voronoi.py \
	--ignore=libpysal/weights/tests/test_contiguity.py \
        --ignore=libpysal/examples/tests/test_available.py \
        --ignore=libpysal/weights/tests/test_gabriel.py \
        --ignore=libpysal/weights/tests/test_raster.py
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html
override_dh_link:
	dh_link
# Fixe privacy-breach-generic
	find debian/python-libpysal-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
#fixe package-contains-documentation-outside-usr-share-doc
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/lattice.dbf
	rm -rf debian/python3-libpysal/usr/share/doc/python3-libpysal/examples/__pycache__
	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/core
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootstrap-3.4.1/fonts/
	rm -rf debian/python-libpysal-doc/usr/share/doc/python-libpysal-doc/html/_static/bootswatch-3.4.1/fonts/
	find debian/python-libpysal-doc/usr/share/doc -name '*.js' -delete
	find debian/python-libpysal-doc/usr/share/doc -type d -empty -delete
#Fixe duplicate-files
	jdupes -rl debian/python-libpysal-doc/usr
	jdupes -rl debian/python3-libpysal/usr
