=== debian/changelog ===
libpysal (4.9.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 11:19:45 -0300

libpysal (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2
  * debian/clean: Added build artifacts
  * debian/python-libpysal-doc.docs: File changed extension
  * debian/rules: Added tests a list ignore and remove useless file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 11:19:28 -0300

libpysal (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * debian/clean: Removed build artifacts
  * debian/control: New version requires pybuild-plugin-pyproject
  * debian/copyright: File 'versioneer.py' has been removed in the new version
  * debian/examples: Removed as unnecessary
  * debian/install: Removed as unnecessary
  * debian/patches:Removed because they were fixed new version
  * debian/python-libpysal-doc.docs: Added directory '/tmp'
  * debian/rules: debian/rules: Adjustments for building new version
  * debian/watch: Added uversionmangle tag

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 14 Oct 2023 20:37:55 -0300

libpysal (4.7.0-3) unstable; urgency=medium

  * debian/patches: fix decorador numba jit to "@jit(nopython=True)"
  * debian/rules: Enabled tests that had errors in previous versions
  * debian/tests/control: Added autopkgtests (closes: #1035160)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Sep 2023 23:20:34 -0300

libpysal (4.7.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 12 Jul 2023 10:34:57 -0300
