=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-python,
                jdupes,
                pre-commit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-colorcet,
                python3-folium,
