## libpysal 4.10

=== debian/changelog ===
libpysal (4.10-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 18 Mar 2024 16:27:28 +0000

libpysal (4.10-1) unstable; urgency=medium

  * New upstream version 4.10
  * debian/control: added Build-Depends "python3-setuptools-scm"

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 03 Mar 2024 22:24:20 -0300
