=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                python3-pytest-xdist,
                python3-seaborn,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sklearn,
                python3-sphinx,
                python3-sphinx-bootstrap-theme,
