## libpysal 4.11.0

=== debian/changelog ===
libpysal (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 08:47:27 -0300

libpysal (4.10-8) unstable; urgency=medium

  * debian/rules: Added dh_installexamples

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 08 Jun 2024 07:32:52 -0300

libpysal (4.10-7) unstable; urgency=medium

  * debian/rules: Keeping the examples directory in the source location

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jun 2024 21:34:11 -0300

libpysal (4.10-6) unstable; urgency=medium

  * debian/rules: Simbolic link generation fixed

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jun 2024 22:30:33 -0300

libpysal (4.10-5) unstable; urgency=medium

  * debian/links-examples.sh: Script transferred to debian/rules
  * debian/rules: Added libpysal/examples for testing "esda" package

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jun 2024 20:47:35 -0300

libpysal (4.10-4) unstable; urgency=medium

  * debian/control:
     Added flag <!nocheck> and <!nodoc>
     Bumped Standards-Version to 4.7.0
     Removed unnecessary Build-depends
  * debian/links-examples.sh: Created symbolic link for testing package "esda"
  * debian/rules: Enabled libpysal/examples directory for testing "esda" package
  * debian/tests/control: Reformatted the code with wrap-and-sort -a

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Jun 2024 02:11:06 -0300

libpysal (4.10-3) unstable; urgency=medium

  * debian/changelog: Fixed "debian-changelog-line-too-long" from 4.10-2
  * debian/clean: Added more build artifacts
  * debian/control: Update Build-Depends dh-python for dh-sequence-python3
  * debian/rules: Directory examples included in the package
                  Tweaks for sphinx-doc build

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 28 Apr 2024 15:29:46 -0300

libpysal (4.10-2) unstable; urgency=medium

  * debian/control: Added tag Recommends. (Closes: #1058476)
  * debian/control: Added build-depends python3-platformdir. (Closes: #1067971)
                    Removed build-depends python3-appdirs.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 24 Apr 2024 23:17:22 -0300
