## libpysal 4.12.0

=== debian/changelog ===
libpysal (4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 06 Aug 2024 21:27:34 -0300
