=== debian/changelog ===
libpysal (4.12.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-matplotlib. Closes: #1116779.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:10:00 +0200

libpysal (4.12.1-1) unstable; urgency=medium

  * New upstream version 4.12.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 10 Sep 2024 23:31:39 -0300
