=== debian/control ===
Source: libpysal
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: black,
               debhelper-compat (= 13),
               dh-sequence-python3,
               jdupes,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bs4,
               python3-geopandas,
               python3-matplotlib,
               python3-myst-parser <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-packaging,
               python3-pandas,
               python3-platformdirs,
               python3-pypandoc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mpl <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sklearn,
               python3-sphinx <!nodoc>,
               python3-sphinx-bootstrap-theme <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/pysal/libpysal
Vcs-Browser: https://salsa.debian.org/science-team/libpysal
Vcs-Git: https://salsa.debian.org/science-team/libpysal.git

Package: python3-libpysal
Architecture: all
Depends: python3-bs4,
         python3-jinja2,
         python3-numpy,
         python3-packaging,
         python3-pandas,
         python3-platformdirs,
         python3-requests,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-libpysal-doc
Recommends: python3-joblib,
            python3-networkx,
            python3-numba,
            python3-sqlalchemy,
            python3-xarray,
            python3-zstd
Description: Library of spatial analysis functions
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 The module also comes with libpysal.examples, ie built-in example
 datasets, making it very efficient.

Package: python-libpysal-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Improved Python libpaysal module from (common documentation)
 Module has the libpysal.cg responsible for Computational Geometry,
 as well as the libpysal.io which allows input and output as well
 as libpysal.weights capable of processing Space Weights.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python libpaysal.
