=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 export PYBUILD_NAME=libpysal
 export PYBUILD_TEST_CUSTOM=1
 
+SRC_DIR="usr/lib/python3/dist-packages/libpysal/examples/"
+DEST_DIR="usr/share/doc/python3-libpysal/examples"
+
+
 %:
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --sphinxdoc  --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	 pytest --ignore=libpysal/graph/tests/ \
+	 pytest-3 -v --ignore=libpysal/graph/tests/ \
         --ignore=libpysal/weights/tests/test_contiguity.py \
         --ignore=libpysal/cg/tests/test_geoJSON.py \
         --ignore=libpysal/weights/tests/test_util.py \
@@ -17,17 +21,18 @@
         --ignore=libpysal/io/iohandlers/tests/test_db.py
 	dh_auto_test
 endif
-override_dh_auto_clean:
-	dh_auto_clean
 
 # Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -bhtml docs/ debian/html
+	PYTHONPATH=. https_proxy='https://127.0.0.1:9/' no_proxy=localhost python3 -m sphinx -N -d debian/doctrees  -bhtml docs/ debian/html
+
+
 override_dh_link:
 	dh_link
 # Fixe privacy-breach-generic
-	find debian/python-libpysal-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
+	find debian/python-libpysal-doc/  -name '*.html' -exec sed -i 's/.*https:.*//g' {} \;
+
 #fixe package-contains-documentation-outside-usr-share-doc
 	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/lattice.dbf
 	rm -rf debian/python3-libpysal/usr/lib/python3/dist-packages/libpysal/.gitignore
@@ -42,4 +47,4 @@
 	jdupes -rl debian/python3-libpysal/usr
 
 override_dh_installexamples:
-	 dh_installexamples -a notebooks
+	dh_installexamples libpysal/examples/*
