=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings libpysal/io/iohandlers/tests/
Depends: python3-all,
         python3-geopandas,
         python3-matplotlib,
         python3-pytest,
         @
Restrictions: allow-stderr
