=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/pysal/libpysal/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
